Debian Bug report logs - #730343
dch: default urgency to medium

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Jonathan Wiltshire <jmw@debian.org>

Date: Sun, 24 Nov 2013 11:27:02 UTC

Severity: normal

Tags: patch

Found in version devscripts/2.13.4

Fixed in version devscripts/2.13.5

Done: James McCoy <jamessan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-release@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#730343; Package devscripts. (Sun, 24 Nov 2013 11:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
New Bug report received and forwarded. Copy sent to debian-release@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Sun, 24 Nov 2013 11:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: submit@bugs.debian.org
Subject: dch: default urgency to medium
Date: Sun, 24 Nov 2013 11:17:04 +0000
Package: devscripts
Version: 2.13.4
Severity: normal
X-Debbugs-CC: debian-release@lists.debian.org

Dear maintainers,

At a recent sprint the release team agreed to reduce the default britney
migration time to just five days. To facilitate this, please change the
default urgency in new changelog entries to medium.

The reason for this, rather than changing britney, is that maintainers
can artificially delay their package back to ten days for changes they
know to be disruptive or in need of longer testing.

Thanks,

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits



Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#730343; Package devscripts. (Sun, 24 Nov 2013 12:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Sun, 24 Nov 2013 12:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 730343@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 730343@bugs.debian.org
Subject: Re: Bug#730343: dch: default urgency to medium
Date: Sun, 24 Nov 2013 13:56:04 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 patch

On Sun, Nov 24, 2013 at 11:17:04 +0000, Jonathan Wiltshire wrote:

> At a recent sprint the release team agreed to reduce the default britney
> migration time to just five days. To facilitate this, please change the
> default urgency in new changelog entries to medium.
> 
> The reason for this, rather than changing britney, is that maintainers
> can artificially delay their package back to ten days for changes they
> know to be disruptive or in need of longer testing.
> 
Here you go.

diff --git a/scripts/debchange.pl b/scripts/debchange.pl
index b1fb0aa..82875d6 100755
--- a/scripts/debchange.pl
+++ b/scripts/debchange.pl
@@ -1268,7 +1268,7 @@ if (($opt_i || $opt_n || $opt_bn || $opt_qa || $opt_R || $opt_s || $opt_team ||
     if ($opt_news) {
 	$urgency ||= $CL_URGENCY;
     }
-    $urgency ||= 'low';
+    $urgency ||= 'medium';
 
     if (($opt_v or $opt_i or $opt_l or $opt_d) and
 	$opt_release_heuristic eq "changelog" and
@@ -1537,7 +1537,7 @@ elsif ($opt_create) {
     if ($opt_news) {
 	$urgency ||= $CL_URGENCY;
     }
-    $urgency ||= 'low';
+    $urgency ||= 'medium';
     print O "$PACKAGE ($VERSION) $DISTRIBUTION; urgency=$urgency\n\n";
 
     if (@closes_text or $TEXT) {

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Julien Cristau <jcristau@debian.org> to 730343-submit@bugs.debian.org. (Sun, 24 Nov 2013 12:57:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 24 Nov 2013 16:36:11 GMT) Full text and rfc822 format available.

Message sent on to Jonathan Wiltshire <jmw@debian.org>:
Bug#730343. (Sun, 24 Nov 2013 16:36:15 GMT) Full text and rfc822 format available.

Message #17 received at 730343-submitter@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 730343-submitter@bugs.debian.org
Subject: Bug#730343 marked as pending
Date: Sun, 24 Nov 2013 16:31:59 +0000
tag 730343 pending
thanks

Hello,

Bug #730343 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/devscripts.git;a=commitdiff;h=098679e

---
commit 098679e352c092072d149ccdb949f7754847bf44
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Nov 24 17:29:40 2013 +0100

    debchange: the default setting for urgency is now 'medium'
    
    Closes: #730343
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

diff --git a/debian/changelog b/debian/changelog
index 0bcb217..cc550ad 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -32,6 +32,9 @@ devscripts (2.13.5) UNRELEASED; urgency=low
   * German, Chris Leick.
   * French, David Prévot.
 
+  [ Julien Cristau ]
+  * debchange: the default setting for urgency is now 'medium' (Closes: #730343)
+
  -- Christoph Berg <christoph.berg@credativ.de>  Wed, 20 Nov 2013 14:15:29 +0100
 
 devscripts (2.13.4) unstable; urgency=low



Bug 730343 cloned as bug 731105 Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. (Mon, 02 Dec 2013 03:42:09 GMT) Full text and rfc822 format available.

Reply sent to James McCoy <jamessan@debian.org>:
You have taken responsibility. (Thu, 05 Dec 2013 03:51:40 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Wiltshire <jmw@debian.org>:
Bug acknowledged by developer. (Thu, 05 Dec 2013 03:51:41 GMT) Full text and rfc822 format available.

Message #24 received at 730343-close@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: 730343-close@bugs.debian.org
Subject: Bug#730343: fixed in devscripts 2.13.5
Date: Thu, 05 Dec 2013 03:49:11 +0000
Source: devscripts
Source-Version: 2.13.5

We believe that the bug you reported is fixed in the latest version of
devscripts, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 730343@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James McCoy <jamessan@debian.org> (supplier of updated devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 04 Dec 2013 22:27:45 -0500
Source: devscripts
Binary: devscripts
Architecture: source amd64
Version: 2.13.5
Distribution: unstable
Urgency: low
Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Changed-By: James McCoy <jamessan@debian.org>
Description: 
 devscripts - scripts to make the life of a Debian Package maintainer easier
Closes: 624317 674579 685787 722171 725228 726694 728177 729779 730343
Changes: 
 devscripts (2.13.5) unstable; urgency=low
 .
   [ James McCoy ]
   * namecheck: Fix “406 Not Acceptable” error when querying Alioth.  (Closes:
     #725228)
   * uscan:
     + Allow specifying file exclusion rules in d/copyright so uscan can
       automatically repack upstream archives which contain non-DFSG content.
       Thanks to Andreas Tille, gregor herrmann, and Rafael Laboissiere for the
       patches.  (Closes: #685787)
     + Require LWP::Protocol::https instead of Crypt::SSLeay to access https
       sites.  (Closes: #624317)
   * test/*:
     + Pass --no-conf to commands which may be influenced by ~/.devscripts
     + Fix a test failure in test_uscan_online due to different version format.
   * rc-alert: Be more flexible in the formatting of the HTML being parsed.
     (Closes: #729779)
   * who-uploads: Use long keyid format to avoid ambiguity.  (Closes: #674579)
 .
   [ Evgeni Golov ]
   * debcheckout: allow setting the user for auth mode in the config.  (Closes:
     #722171)
 .
   [ Joachim Breitner ]
   * debcommit: Fix --release with darcs when the repository is clean. (Closes:
     #728177)
 .
   [ Christoph Berg ]
   * origtargz: Document pristine-tar support in the manpage.
   * rmadison: Support -r (--regex) parameter. (This is still unsupported on
     qa.debian.org, but possible on some 3rd-party repositories like
     apt.postgresql.org.)
 .
   [ Benjamin Drung ]
   * test/test_debchange: Strip distribution data outdated warnings. (Closes:
     #726694)
 .
   [ Translation updates ]
   * German, Chris Leick.
   * French, David Prévot.
 .
   [ Julien Cristau ]
   * debchange: the default setting for urgency is now 'medium' (Closes: #730343)
Checksums-Sha1: 
 9d3caba264d015b13563470dbc07b26f355fad77 2123 devscripts_2.13.5.dsc
 fbcbba5ae6bd9131119137fa822b971944e01b39 577348 devscripts_2.13.5.tar.xz
 6d28905a19bb9856e00969974515f472daebe096 861704 devscripts_2.13.5_amd64.deb
Checksums-Sha256: 
 8ea412345d45bb6344b277248ae6d3a60940dfa3bdad01f6beacfe8488aacafc 2123 devscripts_2.13.5.dsc
 ffa8b04c594f507907734181a7fc76ccd54b0844e5c37b1a7fc83184d75f2c28 577348 devscripts_2.13.5.tar.xz
 a6f41037e8b5ed763a9b2440713174b665bb372e30a2f15a4f51a32e300794cd 861704 devscripts_2.13.5_amd64.deb
Files: 
 734d0b06b7e1f491f53acdf77f4172c8 2123 devel optional devscripts_2.13.5.dsc
 514c82986d261883ce43ea54936d4a51 577348 devel optional devscripts_2.13.5.tar.xz
 17780b2037ff9c05f2f94d1565a09953 861704 devel optional devscripts_2.13.5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCgAGBQJSn/WGAAoJEN/mka4zG6PbO5gP/0X7yYW+oCPaSnsHcJhruED7
cB59l885eSW0u1z7YPWGBXYuPrSaqwDG3DFmhd52tUicJqA2UQ/Rm1QOm9i0zWep
Rr0XVsmKCL+cxB9SmMID1zGCFKjmCgzApmY1WlrdXp/pe21FeRDyY4n7CnGlpno7
6M+YjoE7uow+ydncH1Zz8wH9YRAODSvxTejk3SNSZnkDvEKfkrd9pBaYvdlY/1hY
R3Pujezx4D0ssKDVMKfduyH4XBi5vdXhc4l6l9mczNd0sVZj+T2Crm/rnBAJiJE0
aOV1aspAPIx1O2E/EU6SKymNG6h8HKqmcsA0G+Hyv7ggT4GROpGHvkDiRDPDclMy
TtPCVuLbTbTAlHvJAQPsGlWS8EK1mnEP5YNfQj/XS028PuG8oVFAPYeSrWdbU4nh
24DE4aJZh01q02jOW7nZ7Wa63xV2JbpoTRKIQiK2wYh39XRJvKxKy9vHuSre6ocC
YqHTg3mTk2SSYy2MIxMdpk/adHcpu/6S5+uVJJmKZxJcqj9HRv2Q2iCqJB8pXX6C
bX6RJC+NX4bqjqxyGc+np0YJ7tLEccuRbCx52u6pHS7AYCkePLWK/2s8NRXkcBK5
nCbZiCBm0MmgOcI7WhkpIiPl9yc2N/AcoBBZNTKROC+GivyHnyV9Az0mTjvw17bu
udKYQwn+y/w7F4lrPMfF
=xi80
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Jan 2014 07:29:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:35:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.